Summary:	Release files for thomas.apestaart.org repository
Name:		tao-release
Version:	1.0
Release:	3%{?dist}

License:	GPLv2
Group:		System Environment/Base
URL:		http://thomas.apestaart.org/
Source1:	RPM-GPG-KEY-tao
Source2:	tao.fedora.repo
Source3:	tao.rhel.repo
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

%{expand:%%define frel %(test -e /etc/fedora-release && perl -p -e 's@\D+([0-9\.]+)\D+@$1@' /etc/fedora-release || echo 0)}
%{expand:%%define rhelrel %(test -e /etc/redhat-release -a ! -e /etc/fedora-release && perl -p -e 's@\D+([0-9\.]+)\D+@$1@' /etc/redhat-release || echo 0)}

%description
This package contains the public GPG key and the yum configuration to
install packages from the repositories at http://thomas.apestaart.org/

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT

cp -a %{SOURCE1} .


install -D -p -m 0644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-tao

%if %{frel}
  install -D -p -m 0644 %{SOURCE2} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/tao.repo
%endif

%if %{rhelrel}
  install -D -p -m 0644 %{SOURCE3} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/tao.repo
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
rpm -q gpg-pubkey-55f3aa6f-3e308e08 > /dev/null 2>&1 || \
    rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-tao

exit 0


%files
%defattr(-,root,root,-)
%pubkey RPM-GPG-KEY-tao
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-tao
%config(noreplace) %{_sysconfdir}/yum.repos.d/tao.repo

%changelog
* Sun Jan 09 2011 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0-3
- fix frel macro so that it stops installing the centos one on top

* Sat Aug 29 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0-2
- add for rhel/centos as well

* Sat Aug 29 2009 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0-1
- first release package based on fedora-release and freshrpms-release
